Subject: [bug#55538] [PATCH] gnu: virtuoso-ose: Update to 7.2.7.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 25 May 2022 10:29:18 -0400

Hi Roel,

Roel Janssen <[email-masked]> writes:

> Dear Guix,
>
> I'd like to update Virtuoso OSE to the latest release (see attached patch).
>
> Other than the version number and checksum bump I noticed that some JAR files made it in the build
> output.  I tried removing them from the source tarball using a snippet, but then one needs to
> include a patch for various Makefile.am files and run the autogen.sh script.  I thought this was
> simpler and clearer on what's actually achieved.

I fear in the future it would be easy to overlook the introduction of
extra bundled jars in the source, that'd get installed.  I feel it'd be
preferable if we removed them all from a source snippet, at the cost of
having to patch the build system (the extra complications you
mentioned).

Could you try it and send a revised patch?

Thanks!

Maxim